Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 146004 - vmware-modules-1.0.0.{13,15} does not compile against kernels <= 2.6.16
Summary: vmware-modules-1.0.0.{13,15} does not compile against kernels <= 2.6.16
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: x86 Linux
: High normal (vote)
Assignee: Gentoo VMWare Bug Squashers [disabled]
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 137422
  Show dependency tree
 
Reported: 2006-09-02 08:17 UTC by Kurt Dillen
Modified: 2007-03-16 09:36 UTC (History)
4 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Results from the requested actions (Manuel-compile.txt,13.74 KB, text/plain)
2006-09-03 11:28 UTC, Kurt Dillen
Details
New ebuild fpr 1.0.0.13 vmware-modules (vmware-modules-1.0.0.13.ebuild,856 bytes, application/octet-stream)
2006-09-15 08:03 UTC, Anthony Sowden
Details
Patch for new ebuild of 1.0.0.13 vmware-modules (1.0.0.13-gcc4-ignore-pedantic-errors.patch,523 bytes, application/octet-stream)
2006-09-15 08:04 UTC, Anthony Sowden
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Kurt Dillen 2006-09-02 08:17:13 UTC
I did the GCC-4.1.1 upgrade on my system.  Recompiled System and World.  recompiled kernel and rebooted it, during reboot vmware was set to not automatically startup.

I wanted to remake the vmware modules and got the following error:  

[root@dragon ~]# emerge vmware-modules
>>> cfg-update-1.8.0-r3 : Building checksum index... (takes a few seconds)  done!
Calculating dependencies... done!
>>> Emerging (1 of 1) app-emulation/vmware-modules-1.0.0.15 to /
>>> checking ebuild checksums ;-)
>>> checking auxfile checksums ;-)
>>> checking miscfile checksums ;-)
>>> checking VMware-server-1.0.1-29996.tar.gz ;-)
 * Determining the location of the kernel source code
 * Found kernel source directory:
 *     /usr/src/linux
 * Found sources for kernel version:
 *     2.6.16-026test017
>>> Unpacking source...
>>> Unpacking VMware-server-1.0.1-29996.tar.gz to /var/tmp/portage/vmware-modules-1.0.0.15/work
>>> Unpacking ./vmware-server-distrib/lib/modules/source/vmmon.tar to /var/tmp/portage/vmware-modules-1.0.0.15/work
 * Applying various patches (bugfixes/updates) ...
 *   000_all_makefile-include-directory.patch ...                         [ ok ]
 * Done with patching
 * Converting vmmon-only/Makefile to use M= instead of SUBDIRS= ...       [ ok ]
>>> Unpacking ./vmware-server-distrib/lib/modules/source/vmnet.tar to /var/tmp/portage/vmware-modules-1.0.0.15/work
 * Applying various patches (bugfixes/updates) ...
 *   000_all_makefile-include-directory.patch ...                         [ ok ]
 * Done with patching
 * Converting vmnet-only/Makefile to use M= instead of SUBDIRS= ...       [ ok ]
>>> Source unpacked.
>>> Compiling source in /var/tmp/portage/vmware-modules-1.0.0.15/work ...
 * Preparing vmmon module
Using 2.6.x kernel build system.
make -C /usr/src/linux/include/.. M=$PWD SRCROOT=$PWD/. modules
make[1]: Entering directory `/usr/src/linux-2.6.16-openvz-026.017'
  CC [M]  /var/tmp/portage/vmware-modules-1.0.0.15/work/vmmon-only/linux/driver.o
In file included from include/linux/sched.h:12,
                 from include/linux/module.h:10,
                 from /var/tmp/portage/vmware-modules-1.0.0.15/work/vmmon-only/linux/driver.c:12:
include/linux/jiffies.h: In function 
Comment 1 Kurt Dillen 2006-09-02 08:17:13 UTC
I did the GCC-4.1.1 upgrade on my system.  Recompiled System and World.  recompiled kernel and rebooted it, during reboot vmware was set to not automatically startup.

I wanted to remake the vmware modules and got the following error:  

[root@dragon ~]# emerge vmware-modules
>>> cfg-update-1.8.0-r3 : Building checksum index... (takes a few seconds)  done!
Calculating dependencies... done!
>>> Emerging (1 of 1) app-emulation/vmware-modules-1.0.0.15 to /
>>> checking ebuild checksums ;-)
>>> checking auxfile checksums ;-)
>>> checking miscfile checksums ;-)
>>> checking VMware-server-1.0.1-29996.tar.gz ;-)
 * Determining the location of the kernel source code
 * Found kernel source directory:
 *     /usr/src/linux
 * Found sources for kernel version:
 *     2.6.16-026test017
>>> Unpacking source...
>>> Unpacking VMware-server-1.0.1-29996.tar.gz to /var/tmp/portage/vmware-modules-1.0.0.15/work
>>> Unpacking ./vmware-server-distrib/lib/modules/source/vmmon.tar to /var/tmp/portage/vmware-modules-1.0.0.15/work
 * Applying various patches (bugfixes/updates) ...
 *   000_all_makefile-include-directory.patch ...                         [ ok ]
 * Done with patching
 * Converting vmmon-only/Makefile to use M= instead of SUBDIRS= ...       [ ok ]
>>> Unpacking ./vmware-server-distrib/lib/modules/source/vmnet.tar to /var/tmp/portage/vmware-modules-1.0.0.15/work
 * Applying various patches (bugfixes/updates) ...
 *   000_all_makefile-include-directory.patch ...                         [ ok ]
 * Done with patching
 * Converting vmnet-only/Makefile to use M= instead of SUBDIRS= ...       [ ok ]
>>> Source unpacked.
>>> Compiling source in /var/tmp/portage/vmware-modules-1.0.0.15/work ...
 * Preparing vmmon module
Using 2.6.x kernel build system.
make -C /usr/src/linux/include/.. M=$PWD SRCROOT=$PWD/. modules
make[1]: Entering directory `/usr/src/linux-2.6.16-openvz-026.017'
  CC [M]  /var/tmp/portage/vmware-modules-1.0.0.15/work/vmmon-only/linux/driver.o
In file included from include/linux/sched.h:12,
                 from include/linux/module.h:10,
                 from /var/tmp/portage/vmware-modules-1.0.0.15/work/vmmon-only/linux/driver.c:12:
include/linux/jiffies.h: In function clock_t_to_jiffies:
include/linux/jiffies.h:397: warning: ISO C90 forbids mixed declarations and code
In file included from /var/tmp/portage/vmware-modules-1.0.0.15/work/vmmon-only/linux/driver.h:20,
                 from /var/tmp/portage/vmware-modules-1.0.0.15/work/vmmon-only/linux/driver.c:49:
/var/tmp/portage/vmware-modules-1.0.0.15/work/vmmon-only/./include/compat_wait.h:37:5: warning: "VMW_HAVE_EPOLL" is not defined
/var/tmp/portage/vmware-modules-1.0.0.15/work/vmmon-only/./include/compat_wait.h:43:5: warning: "VMW_HAVE_EPOLL" is not defined
In file included from /var/tmp/portage/vmware-modules-1.0.0.15/work/vmmon-only/linux/driver.h:20,
                 from /var/tmp/portage/vmware-modules-1.0.0.15/work/vmmon-only/linux/driver.c:49:
/var/tmp/portage/vmware-modules-1.0.0.15/work/vmmon-only/./include/compat_wait.h: At top level:
/var/tmp/portage/vmware-modules-1.0.0.15/work/vmmon-only/./include/compat_wait.h:60: error: conflicting types for poll_initwait
include/linux/poll.h:45: error: previous declaration of poll_initwait was here
/var/tmp/portage/vmware-modules-1.0.0.15/work/vmmon-only/linux/driver.c:145: warning: initialization from incompatible pointer type
/var/tmp/portage/vmware-modules-1.0.0.15/work/vmmon-only/linux/driver.c:149: warning: initialization from incompatible pointer type
make[3]: *** [/var/tmp/portage/vmware-modules-1.0.0.15/work/vmmon-only/linux/driver.o] Error 1
make[2]: *** [_module_/var/tmp/portage/vmware-modules-1.0.0.15/work/vmmon-only] Error 2
make[1]: *** [modules] Error 2
make[1]: Leaving directory `/usr/src/linux-2.6.16-openvz-026.017'
make: *** [vmmon.ko] Error 2

!!! ERROR: app-emulation/vmware-modules-1.0.0.15 failed.
Call stack:
  ebuild.sh, line 1539:   Called dyn_compile
  ebuild.sh, line 939:   Called src_compile
  ebuild.sh, line 1248:   Called linux-mod_src_compile
  linux-mod.eclass, line 469:   Called die

!!! Unable to make   auto-build VMWARE_VER=VME_S1B1 KERNEL_DIR=/usr/src/linux KBUILD_OUTPUT=/usr/src/linux.
!!! If you need support, post the topmost build error, and the call stack if relevant.


my emerge --info: 

Portage 2.1-r2 (default-linux/x86/2006.1, gcc-4.1.1, glibc-2.4-r3, 2.6.16-026test017 i686)
=================================================================
System uname: 2.6.16-026test017 i686 AMD Athlon(tm) 64 X2 Dual Core Processor 4200+
Gentoo Base System version 1.12.4
app-admin/eselect-compiler: [Not Present]
dev-lang/python:     2.4.3-r1
dev-python/pycrypto: 2.0.1-r5
dev-util/ccache:     [Not Present]
dev-util/confcache:  [Not Present]
sys-apps/sandbox:    1.2.17
sys-devel/autoconf:  2.13, 2.59-r7
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2
sys-devel/binutils:  2.16.1-r3
sys-devel/gcc-config: 1.3.13-r3
sys-devel/libtool:   1.5.22
virtual/os-headers:  2.6.17
ACCEPT_KEYWORDS="x86"
AUTOCLEAN="yes"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-march=athlon64 -O2 -msse3 -pipe -fomit-frame-pointer"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /var/bind"
CONFIG_PROTECT_MASK="/etc/env.d /etc/gconf /etc/revdep-rebuild /etc/terminfo"
CXXFLAGS="-march=athlon64 -O2 -msse3 -pipe -fomit-frame-pointer"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoconfig distlocks metadata-transfer sandbox sfperms strict"
GENTOO_MIRRORS="http://ftp.belnet.be/mirror/rsync.gentoo.org/gentoo/ ftp://ftp.belnet.be/mirror/rsync.gentoo.org/gentoo/ ftp://distro.ibiblio.org/pub/linux/distributions/gentoo/ http://mir.zyrianes.net/gentoo/ ftp://ftp.tu-clausthal.de/pub/linux/gentoo/ ftp://ftp.join.uni-muenster.de/pub/linux/distributions/gentoo http://ftp.snt.utwente.nl/pub/os/linux/gentoo ftp://ftp.snt.utwente.nl/pub/os/linux/gentoo http://vlaai.snt.ipv6.utwente.nl/pub/os/linux/gentoo/ ftp://vlaai.snt.ipv6.utwente.nl/pub/os/linux/gentoo/ ftp://mirror.scarlet-internet.nl/pub/gentoo ftp://mirror.nutsmaas.nl/gentoo/"
LC_ALL="en_US.UTF-8"
MAKEOPTS="-j1"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --delete-after --stats --timeout=180 --exclude='/distfiles' --exclude='/local' --exclude='/packages'"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://rsync.dls-belgium.com/gentoo-portage"
USE="x86 aalib acl acpi apache2 berkdb bitmap-fonts bzip2 clamav cli crypt cscope curl directfb dlloader dri fastcgi fbcon flash fortran ftp gd gif gpm imagemagick imlib ipv6 isdnlog java javascript jikes jpeg ldap libg++ libwww mbox mime mmx mng ncurses nfs nls nptl nptlonly pam pcre perl png posix ppds pppd python readline reflection sasl session slang snmp spl sqlite ssl svga tcpd tiff truetype-fonts type1-fonts udev unicode xml xml2 xmlrpc xorg zlib elibc_glibc input_devices_keyboard input_devices_mouse input_devices_evdev kernel_linux userland_GNU video_cards_apm video_cards_ark video_cards_ati video_cards_chips video_cards_cirrus video_cards_cyrix video_cards_dummy video_cards_fbdev video_cards_glint video_cards_i128 video_cards_i740 video_cards_i810 video_cards_imstt video_cards_mga video_cards_neomagic video_cards_nsc video_cards_nv video_cards_rendition video_cards_s3 video_cards_s3virge video_cards_savage video_cards_siliconmotion video_cards_sis video_cards_sisusb video_cards_tdfx video_cards_tga video_cards_trident video_cards_tseng video_cards_v4l video_cards_vesa video_cards_vga video_cards_via video_cards_vmware video_cards_voodoo"
Unset:  CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LANG, LDFLAGS, LINGUAS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 2 Jakub Moc (RETIRED) gentoo-dev 2006-09-02 08:26:14 UTC
This is definitely not a P1 blocker. Also, wth is 2.6.16-026test017? We don't support home-brew kernels.
Comment 3 Kurt Dillen 2006-09-02 09:39:07 UTC
(In reply to comment #1)
> This is definitely not a P1 blocker. Also, wth is 2.6.16-026test017? We don't
> support home-brew kernels.

Depends then you don't have to support any of the kernels because they are all home-brew ones....  And if you say we support kernels from the official portage tree then you must support this one....   Because it is the openvz kernel from portage.


Comment 4 John J. Aylward 2006-09-02 22:07:34 UTC
This was the very similar to the problem I posted in comment #15 in bug 137422. specifically I noticed the similarities in the poll_initwait var that was redefined.
Comment 5 Kurt Dillen 2006-09-03 01:04:24 UTC
(In reply to comment #3)
> This was the very similar to the problem I posted in comment #15 in bug 137422.
> specifically I noticed the similarities in the poll_initwait var that was
> redefined.

John, this one is the same as your problem.
Comment 6 Mike Auty gentoo-dev 2006-09-03 02:18:05 UTC
Ok, just adding john's emerge --info copied directly from bug 137422 for completeness...

Portage 2.1-r2 (default-linux/amd64/2006.0, gcc-4.1.1, glibc-2.4-r3, 2.6.15
x86_64)
=================================================================
System uname: 2.6.15 x86_64 AMD Athlon(tm) 64 Processor 3700+
Gentoo Base System version 1.12.4
app-admin/eselect-compiler: [Not Present]
dev-lang/python:     2.4.3-r1
dev-python/pycrypto: 2.0.1-r5
dev-util/ccache:     [Not Present]
dev-util/confcache:  [Not Present]
sys-apps/sandbox:    1.2.17
sys-devel/autoconf:  2.13, 2.59-r7
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2
sys-devel/binutils:  2.16.1-r3
sys-devel/gcc-config: 1.3.13-r3
sys-devel/libtool:   1.5.22
virtual/os-headers:  2.6.11-r2
ACCEPT_KEYWORDS="amd64"
AUTOCLEAN="yes"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=k8 -O2 -pipe -msse3"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.4/env /usr/kde/3.4/share/config
/usr/kde/3.4/shutdown /usr/kde/3.5/env /usr/kde/3.5/share/config
/usr/kde/3.5/shutdown /usr/share/X11/xkb /usr/share/config
/usr/share/texmf/dvipdfm/config/ /usr/share/texmf/dvips/config/
/usr/share/texmf/tex/generic/config/ /usr/share/texmf/tex/platex/config/
/usr/share/texmf/xdvi/"
CONFIG_PROTECT_MASK="/etc/env.d /etc/env.d/java/ /etc/gconf
/etc/java-config/vms/ /etc/revdep-rebuild /etc/terminfo"
CXXFLAGS="-march=k8 -O2 -pipe -msse3"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoconfig distlocks metadata-transfer sandbox sfperms strict"
GENTOO_MIRRORS="http://distfiles.gentoo.org
http://distro.ibiblio.org/pub/linux/distributions/gentoo"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress
--force --whole-file --delete --delete-after --stats --timeout=180
--exclude='/distfiles' --exclude='/local' --exclude='/packages'"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://192.168.0.2/gentoo-portage"
USE="amd64 X aac acl acpi aim alsa apache2 arts audiofile automount avi
bash-completion berkdb bitmap-fonts bonjour bzip2 calendar cdparanoia cdr cli
crypt cups curl curlwrappers dbus dga dio divx4linux dlloader dri dts dv dvb
dvd dvdr dvdread eds emacs emboss encode exif fastcgi fbcon ffmpeg flac
foomaticdb fortran ftp gd gdbm gif gimp glut gnome gphoto2 gpm gstreamer gtk
gtk2 hal icq ieee1394 imap imlib ipv6 isdnlog jabber java javamail jikes jpeg
jpeg2k junit kde kdeenablefinal logitech-mouse lzw lzw-tiff mad mime mng mono
mozdevelop mozilla mp3 mpeg msn mysql ncurses nls no-old-linux nptl nptlonly
nsplugin ogg oggvorbis openal openexr opengl oscar pam pcre pdf pdflib perl png
ppds pppd python qt qt3 qt4 quicktime rdesktop readline reflection samba sdl
session snmp spell spl ssl startup-notification svg tcl tcltk tcpd tetex tidy
tiff tk truetype truetype-fonts type1-fonts udev unicode usb vhosts vim-pager
vorbis wmf xcomposite xine xinerama xml xml2 xmms xorg xpm xprint xscreensaver
xv yahoo zeroconf zlib elibc_glibc input_devices_keyboard input_devices_mouse
kernel_linux userland_GNU video_cards_fglrx video_cards_radeon video_cards_vesa
video_cards_vga"
Unset:  CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LANG, LC_ALL, LDFLAGS,
LINGUAS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 7 Mike Auty gentoo-dev 2006-09-03 03:51:17 UTC
Ok, so unfortunately this is a very old bug come back to bite me in the...

It's a particularly ugly problem whereby vmware have written some compilation tests to determine whether particular functions are present, and to define or not define some variables based upon that.  Unfortunately, to do this they turned every warning into an error, and if they encountered an error they assumed the function wasn't there.  Sadly, trivial or silly errors because gcc-4 got a whole lot stricter, also trigger this and cause vmware to try defining it's own copy of functions rather than using the ones from the system.  For further details see bug 122500 comment 136 and read onwards.

So there's a couple of fast workarounds.  For john, who's running on 2.6.15, he should be able to update to a later kernel (all the 2.6.17 kernels should work with gcc-4.1).  For Kurt, I'm not certain what the latest version of the openvz kernel is (and whether it's an actual 2.6.17 kernel, or just a souped up 1.6.16 kernel), but if you've still got gcc-3.4 installed, you could compile just your kernel and modules with that and vmware-modules should build ok.

I'm away for the next week, but will try looking into resurrecting the old patches for this whilst I'm away.  Please let me know if any of the information on the other bug helps you determine which warning message is being encountered during the compilation...
Comment 8 Mike Auty gentoo-dev 2006-09-03 03:53:05 UTC
John, I've just posted a reply here and am adding you to the CC list.  No, there's no need for you to open a new bug, we'll work off this one for the time being...
Comment 9 Kurt Dillen 2006-09-03 05:05:18 UTC
(In reply to comment #6)
> Ok, so unfortunately this is a very old bug come back to bite me in the...
> It's a particularly ugly problem whereby vmware have written some compilation
> tests to determine whether particular functions are present, and to define or
> not define some variables based upon that.  Unfortunately, to do this they
> turned every warning into an error, and if they encountered an error they
> assumed the function wasn't there.  Sadly, trivial or silly errors because
> gcc-4 got a whole lot stricter, also trigger this and cause vmware to try
> defining it's own copy of functions rather than using the ones from the system.
>  For further details see bug 122500 comment 136 and read onwards.
> So there's a couple of fast workarounds.  For john, who's running on 2.6.15, he
> should be able to update to a later kernel (all the 2.6.17 kernels should work
> with gcc-4.1).  For Kurt, I'm not certain what the latest version of the openvz
> kernel is (and whether it's an actual 2.6.17 kernel, or just a souped up 1.6.16
> kernel), but if you've still got gcc-3.4 installed, you could compile just your
> kernel and modules with that and vmware-modules should build ok.
> I'm away for the next week, but will try looking into resurrecting the old
> patches for this whilst I'm away.  Please let me know if any of the information
> on the other bug helps you determine which warning message is being encountered
> during the compilation...

OK, maybe this sounds stupid.  But I am running an other system also with vmware on it, and that one was build up from its initial install with gcc 4.1.1 and glibc 3.4  and that systems does not have any problems.  Luckely for me the system infected is my vmware test environment and not production that is located on the other working system.

So this looks for me as a random issue which will make it very difficult to debug.  



Comment 10 Mike Auty gentoo-dev 2006-09-03 05:24:46 UTC
Kurt, could you please check the kernel versions that the vmware-modules are being built against with both?  If they differ, that's probably what's causing the problem.  If not, they there is some patching we can do of the makefiles to help you figure out what warning is causing the tests to fail...
Comment 11 Kurt Dillen 2006-09-03 05:39:45 UTC
(In reply to comment #9)
> Kurt, could you please check the kernel versions that the vmware-modules are
> being built against with both?  If they differ, that's probably what's causing
> the problem.  If not, they there is some patching we can do of the makefiles to
> help you figure out what warning is causing the tests to fail...


I can already say that both kernels are different.  The failing system is using the latest version of the openvz-sources (unstable).  With the previous verions of that unstable kernel version same issue.  Before the gcc 4.1.1 and glibc 3.4 update no issue.   So doesn't look like kernel related but gcc or glibc related.

Working system is using the gentoo-sources version: 2.6.17-gentoo-r4 to be correct.

Maybe a small issue I need to report during my upgrade to gcc 4.1.1 and glibc 3.4 I had several system crashes so maybe there went something wrong.  I have redone emerge -e system this morning and right now the emerge -e world is running on it.  Until now without system crashes.
Comment 12 Mike Auty gentoo-dev 2006-09-03 05:47:57 UTC
Kurt, your working system is using a very different kernel (and probably a newer one).  The issue is caused by gcc-4.1 throwing up warnings during kernel compilations which it never used to.  These are turned into errors when the test programs are compiled and cause the tests to fail.  The issue therefore didn't manifest itself until you upgraded gcc.  The other kernel already successfully compiles with gcc-4.1 without warnings, so would next exhibit the issue.  Unfortunately it sounds as though there is no openvz kernel version that will compile without these warnings.  So the best workaround I have at the moment is to drop your gcc version back for that kernel and its modules.  I'll see what I can work up in the coming week.
Comment 13 Kurt Dillen 2006-09-03 05:53:45 UTC
(In reply to comment #11)
> Kurt, your working system is using a very different kernel (and probably a
> newer one).  The issue is caused by gcc-4.1 throwing up warnings during kernel
> compilations which it never used to.  These are turned into errors when the
> test programs are compiled and cause the tests to fail.  The issue therefore
> didn't manifest itself until you upgraded gcc.  The other kernel already
> successfully compiles with gcc-4.1 without warnings, so would next exhibit the
> issue.  Unfortunately it sounds as though there is no openvz kernel version
> that will compile without these warnings.  So the best workaround I have at the
> moment is to drop your gcc version back for that kernel and its modules.  I'll
> see what I can work up in the coming week.

Mike for me it isn't an urgent issue as I told you before it is my test vmware server.  After the complete recompile of my environment I will try to reinstall the old gcc compiler.  And see what happens then.  

I keep you up to date

Comment 14 Mike Auty gentoo-dev 2006-09-03 05:55:24 UTC
Ok, that'd be very helpful if you could.  Thanks very much!  5:)
Comment 15 Kurt Dillen 2006-09-03 10:56:11 UTC
(In reply to comment #13)
> Ok, that'd be very helpful if you could.  Thanks very much!  5:)

So here are the results.  I re-emerged gcc version 3.4.6 the one I used when everything worked fine.  I compiled it 3 times.  And then made the kernel with it and wanted to compile the modules against it.   

I will put the emerge --info and the compile result in the next 2 replies
Comment 16 Kurt Dillen 2006-09-03 10:57:16 UTC
emerge --info 

[root@dragon linux]# emerge --info
>>> cfg-update-1.8.0-r3 : Building checksum index... (takes a few seconds)  done !
Portage 2.1-r2 (default-linux/x86/2006.1, gcc-3.4.6, glibc-2.4-r3, 2.6.16-026tes t017 i686)
=================================================================
System uname: 2.6.16-026test017 i686 AMD Athlon(tm) 64 X2 Dual Core Processor 42 00+
Gentoo Base System version 1.12.4
app-admin/eselect-compiler: [Not Present]
dev-lang/python:     2.4.3-r1
dev-python/pycrypto: 2.0.1-r5
dev-util/ccache:     [Not Present]
dev-util/confcache:  [Not Present]
sys-apps/sandbox:    1.2.17
sys-devel/autoconf:  2.13, 2.59-r7
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2
sys-devel/binutils:  2.16.1-r3
sys-devel/gcc-config: 1.3.13-r3
sys-devel/libtool:   1.5.22
virtual/os-headers:  2.6.17
ACCEPT_KEYWORDS="x86"
AUTOCLEAN="yes"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-march=athlon64 -O2 -msse3 -pipe -fomit-frame-pointer"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /var/bind"
CONFIG_PROTECT_MASK="/etc/env.d /etc/gconf /etc/revdep-rebuild /etc/terminfo"
CXXFLAGS="-march=athlon64 -O2 -msse3 -pipe -fomit-frame-pointer"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoconfig distlocks metadata-transfer sandbox sfperms strict"
GENTOO_MIRRORS="http://ftp.belnet.be/mirror/rsync.gentoo.org/gentoo/ ftp://ftp.b elnet.be/mirror/rsync.gentoo.org/gentoo/ ftp://distro.ibiblio.org/pub/linux/dist ributions/gentoo/ http://mir.zyrianes.net/gentoo/ ftp://ftp.tu-clausthal.de/pub/ linux/gentoo/ ftp://ftp.join.uni-muenster.de/pub/linux/distributions/gentoo http ://ftp.snt.utwente.nl/pub/os/linux/gentoo ftp://ftp.snt.utwente.nl/pub/os/linux/ gentoo http://vlaai.snt.ipv6.utwente.nl/pub/os/linux/gentoo/ ftp://vlaai.snt.ipv 6.utwente.nl/pub/os/linux/gentoo/ ftp://mirror.scarlet-internet.nl/pub/gentoo ft p://mirror.nutsmaas.nl/gentoo/"
LC_ALL="en_US.UTF-8"
MAKEOPTS="-j1"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress  --force --whole-file --delete --delete-after --stats --timeout=180 --exclude='/d istfiles' --exclude='/local' --exclude='/packages'"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://rsync.dls-belgium.com/gentoo-portage"
USE="x86 aalib acl acpi apache2 berkdb bitmap-fonts bzip2 clamav cli crypt cscop e curl directfb dlloader dri fastcgi fbcon flash fortran ftp gd gif gpm imagemag ick imlib ipv6 isdnlog java javascript jikes jpeg ldap libg++ libwww mbox mime m mx mng ncurses nfs nls nptl nptlonly pam pcre perl png posix ppds pppd python re adline reflection sasl session slang snmp spl sqlite ssl svga tcpd tiff truetype -fonts type1-fonts udev unicode xml xml2 xmlrpc xorg zlib elibc_glibc input_devi ces_keyboard input_devices_mouse input_devices_evdev kernel_linux userland_GNU v ideo_cards_apm video_cards_ark video_cards_ati video_cards_chips video_cards_cir rus video_cards_cyrix video_cards_dummy video_cards_fbdev video_cards_glint vide o_cards_i128 video_cards_i740 video_cards_i810 video_cards_imstt video_cards_mga  video_cards_neomagic video_cards_nsc video_cards_nv video_cards_rendition video _cards_s3 video_cards_s3virge video_cards_savage video_cards_siliconmotion video _cards_sis video_cards_sisusb video_cards_tdfx video_cards_tga video_cards_tride nt video_cards_tseng video_cards_v4l video_cards_vesa video_cards_vga video_card s_via video_cards_vmware video_cards_voodoo"
Unset:  CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LANG, LDFLAGS, LINGUAS, PORT AGE_RSYNC_EXTRA_OPTS

[root@dragon linux]# emerge vmware-modules
Comment 17 Kurt Dillen 2006-09-03 10:57:48 UTC
[root@dragon linux]# emerge vmware-modules
>>> cfg-update-1.8.0-r3 : No new packages have been emerged, checksum index OK.. .
Calculating dependencies... done!
>>> Emerging (1 of 1) app-emulation/vmware-modules-1.0.0.15 to /
>>> checking ebuild checksums ;-)
>>> checking auxfile checksums ;-)
>>> checking miscfile checksums ;-)
>>> checking VMware-server-1.0.1-29996.tar.gz ;-)
 * Determining the location of the kernel source code
 * Found kernel source directory:
 *     /usr/src/linux
 * Found sources for kernel version:
 *     2.6.16-026test017
>>> Unpacking source...
>>> Unpacking VMware-server-1.0.1-29996.tar.gz to /var/tmp/portage/vmware-module s-1.0.0.15/work
>>> Unpacking ./vmware-server-distrib/lib/modules/source/vmmon.tar to /var/tmp/p ortage/vmware-modules-1.0.0.15/work
 * Applying various patches (bugfixes/updates) ...
 *   000_all_makefile-include-directory.patch ...                         [ ok ]
 * Done with patching
 * Converting vmmon-only/Makefile to use M= instead of SUBDIRS= ...       [ ok ]
>>> Unpacking ./vmware-server-distrib/lib/modules/source/vmnet.tar to /var/tmp/p ortage/vmware-modules-1.0.0.15/work
 * Applying various patches (bugfixes/updates) ...
 *   000_all_makefile-include-directory.patch ...                         [ ok ]
 * Done with patching
 * Converting vmnet-only/Makefile to use M= instead of SUBDIRS= ...       [ ok ]
>>> Source unpacked.
>>> Compiling source in /var/tmp/portage/vmware-modules-1.0.0.15/work ...
 * Preparing vmmon module
Using 2.6.x kernel build system.
make -C /usr/src/linux/include/.. M=$PWD SRCROOT=$PWD/. modules
make[1]: Entering directory `/usr/src/linux-2.6.16-openvz-026.017'
  CC [M]  /var/tmp/portage/vmware-modules-1.0.0.15/work/vmmon-only/linux/drive   o
In file included from include/linux/sched.h:12,
                 from include/linux/module.h:10,
                 from /var/tmp/portage/vmware-modules-1.0.0.15/work/vmmon-only   inux/driver.c:12:
include/linux/jiffies.h: In function `clock_t_to_jiffies':
include/linux/jiffies.h:397: warning: ISO C90 forbids mixed declarations and c   e
In file included from /var/tmp/portage/vmware-modules-1.0.0.15/work/vmmon-only   inux/driver.h:20,
                 from /var/tmp/portage/vmware-modules-1.0.0.15/work/vmmon-only   inux/driver.c:49:
/var/tmp/portage/vmware-modules-1.0.0.15/work/vmmon-only/./include/compat_wait   :37:5: warning: "VMW_HAVE_EPOLL" is not defined
/var/tmp/portage/vmware-modules-1.0.0.15/work/vmmon-only/./include/compat_wait   :43:5: warning: "VMW_HAVE_EPOLL" is not defined
In file included from /var/tmp/portage/vmware-modules-1.0.0.15/work/vmmon-only   inux/driver.h:20,
                 from /var/tmp/portage/vmware-modules-1.0.0.15/work/vmmon-only   inux/driver.c:49:
/var/tmp/portage/vmware-modules-1.0.0.15/work/vmmon-only/./include/compat_wait   : At top level:
/var/tmp/portage/vmware-modules-1.0.0.15/work/vmmon-only/./include/compat_wait   :60: error: conflicting types for 'poll_initwait'
include/linux/poll.h:45: error: previous declaration of 'poll_initwait' was he
/var/tmp/portage/vmware-modules-1.0.0.15/work/vmmon-only/./include/compat_wait   :60: error: conflicting types for 'poll_initwait'
include/linux/poll.h:45: error: previous declaration of 'poll_initwait' was he
/var/tmp/portage/vmware-modules-1.0.0.15/work/vmmon-only/linux/driver.c:145: w   ning: initialization from incompatible pointer type
/var/tmp/portage/vmware-modules-1.0.0.15/work/vmmon-only/linux/driver.c:149: w   ning: initialization from incompatible pointer type
make[3]: *** [/var/tmp/portage/vmware-modules-1.0.0.15/work/vmmon-only/linux/d   ver.o] Error 1
make[2]: *** [_module_/var/tmp/portage/vmware-modules-1.0.0.15/work/vmmon-only   Error 2
make[1]: *** [modules] Error 2
make[1]: Leaving directory `/usr/src/linux-2.6.16-openvz-026.017'
make: *** [vmmon.ko] Error 2

!!! ERROR: app-emulation/vmware-modules-1.0.0.15 failed.
Call stack:
  ebuild.sh, line 1539:   Called dyn_compile
  ebuild.sh, line 939:   Called src_compile
  ebuild.sh, line 1248:   Called linux-mod_src_compile
  linux-mod.eclass, line 469:   Called die

!!! Unable to make   auto-build VMWARE_VER=VME_V55 KERNEL_DIR=/usr/src/linux K   ILD_OUTPUT=/usr/src/linux.
!!! If you need support, post the topmost build error, and the call stack if r   evant.

[root@dragon linux]#
Comment 18 Kurt Dillen 2006-09-03 10:59:27 UTC
(In reply to comment #13)
> Ok, that'd be very helpful if you could.  Thanks very much!  5:)

So maybe we can conclude that the issue is not gcc related, so the only thing that is still different from my previous working situation on the same system is glibc.  

I really hope you find out where the problem comes from.

If you need any help or you want me to do some tests let me know.  I will do them ASAP when I have time to do them
Comment 19 Mike Auty gentoo-dev 2006-09-03 11:04:52 UTC
Ok Kurt, thanks for testing that out for me.  I have the feeling the issue still lies with the kernel sources throwing warnings at the compiler, but we won't know until I produce you some patches that'll help us identify what goes on when the test programs are compiled.  If you're willing to play around with stuff then please go back to gcc-4 and follow the instructions in bug 122500 comment 142, and report back the compilation output.  That might provide some clue as to the type of warnings that are killing the tests...
Comment 20 Kurt Dillen 2006-09-03 11:28:55 UTC
Created attachment 95870 [details]
Results from the requested actions

Here are the results of the actions out of the other bug
Comment 21 Mike Auty gentoo-dev 2006-09-03 12:04:49 UTC
Superb!  Thanks for that Kurt, as you can see from the last four attempts, it's actually failing because of the kernel's clock_to_t_jiffies function, which apparently declares something after there have been some statements.  This isn't allowed by ISO C90 standards, and in pedantic mode gcc will spit out warnings about it (which then get elevated to errors by the -Werror directive).

It *looks* as though this can be turned off using a -Wno-declaration-after-statement flag before the -Werror flag.

I've knocked up a testing ebuild for you to try out, and put it in the vmware overlay.  Please give that a go and see whether it works.  The easiest way is to get a copy of layman and add the vmware overlay (don't forget to source layman's make.conf from your own make.conf).  If that all works, then I'll do a bit more testing and get it into the tree soon...  5:)
Comment 22 Mike Auty gentoo-dev 2006-09-03 12:05:23 UTC
Sorry, hit the wrong button, just before I hit commit.  My bad, sorry!  5:(
Comment 23 Kurt Dillen 2006-09-03 12:30:38 UTC
(In reply to comment #20)
> Superb!  Thanks for that Kurt, as you can see from the last four attempts, it's
> actually failing because of the kernel's clock_to_t_jiffies function, which
> apparently declares something after there have been some statements.  This
> isn't allowed by ISO C90 standards, and in pedantic mode gcc will spit out
> warnings about it (which then get elevated to errors by the -Werror directive).
> It *looks* as though this can be turned off using a
> -Wno-declaration-after-statement flag before the -Werror flag.
> I've knocked up a testing ebuild for you to try out, and put it in the vmware
> overlay.  Please give that a go and see whether it works.  The easiest way is
> to get a copy of layman and add the vmware overlay (don't forget to source
> layman's make.conf from your own make.conf).  If that all works, then I'll do a
> bit more testing and get it into the tree soon...  5:)

Installed layman, added vmware overlay, compiled vmware-modules 

Compiled without error, started vmware up and no errors, all VM's are up and running.

Thank you Mike.  

If you are going to do some more fine tuning around this.  I am willing to help because I can bring this VMWare server down without problems.  It is my test environment.

Always nice to have.

Comment 24 John J. Aylward 2006-09-03 18:35:52 UTC
(In reply to comment #6)
> Ok, so unfortunately this is a very old bug come back to bite me in the...

> So there's a couple of fast workarounds.  For john, who's running on 2.6.15, he
> should be able to update to a later kernel (all the 2.6.17 kernels should work
> with gcc-4.1).  

upgraded to the 2.6.17-gentoo-r7 kernel and everything compiled well. was the only thing I changed since the last attempt to compile, was definatly the fix.

removing myself from the CC since this solved my issue, but shoot me an email if you think I can be of more help.
Comment 25 Coornaert David 2006-09-05 06:14:43 UTC
well  I'm back from holidays and without vmware..
kernel is now 17r7 
gcc 411

vmware-modules are built but are not loaded (others modules are)

hence vmware does not run..
I'd really like someone to help me understand and solve this

Comment 26 Mike Auty gentoo-dev 2006-09-05 10:25:03 UTC
David, please insert your compilation output, so that we can verify it is definitely this bug.  Also include your "emerge --info" output.  Since this bug was not reported for the 2.6.17 kernel, this is most likely a different problem.  Also, if you really do believe it's the same issue, please try compiling the modules from the vmware overlay.  If you need help getting that setup, please just ask.  In general, the more information you can provide us about your problem, the more likely to locate the specific problem, and provide a working fix.  Thanks...  5:)
Comment 27 Coornaert David 2006-09-06 04:09:19 UTC
Sorry I guess I anticipated a bug when I probably made a mistake
although I don't really understand it, my problem was that the modules were not loaded, but it may come from the simultaneous update of kernel and vmware and gcc (after a 2 weeks holiday trip)
I remembered vmware complaining that the kernel sources where not those of the active kernel (freshly built in but not booted yet),
anyway I recompiled the kernel
rebooted it, and re-emerged vmware and voila

Comment 28 Mike Auty gentoo-dev 2006-09-06 05:55:58 UTC
Not a problem.  Vmware (maybe it's a kernel thing in general) dos check to ensure it's going to be compiled with the same version of gcc as the kernel.  If you upgrade your gcc and then try to recompile the kernel it will complain, and you'll simply have to recompile the kernel.  I think the error messages are pretty clear about this, so I don't intend to add any notes anywhere about it (especially given that I dunno where I'd put them!).  I'm glad you got the problem resolved though...  5:)
Comment 29 Mike Auty gentoo-dev 2006-09-13 14:51:09 UTC
Ok, a fix has just gone into CVS.  Please give it a couple of hours, then resync.  Hopefully vmware-modules will then compile with gcc-4.1 against kernels <= 2.6.16 without messing up higher up kernels, or lower down gcc's...  5:)

Marking this as fixed, if there are still problems, please feel free to re-open it!
Comment 30 Anthony Sowden 2006-09-15 08:01:00 UTC
I've just worked through a similar issue to this bug with workstation 5.5.1.19175-r4 which uses vmware-modules 1.0.0.13.  My problems started following an upgrade to gcc 4.1.1.  I'm using kernel gentoo-sources 2.6.15-gentoo-r1.

With gcc 3.3.6, everything compiles fine.  With gcc 4.1.1, I got a failure very similar to that reported by Kurt (comment #16).

I followed the procedure recommended by Mike (comment #18), and examining the stderr of the compile I concluded that the extra warnings produced by gcc 4.1.1 could also be my problem.  However, my 'pedantic' warning appeared to be "'packed' attribute ignored for field of type 'unsigned char[5u]'".

After a bit of trial and error, I found that -Wno-attributes rendered this warning safe, and the modules compiled OK.

I created a modified version of Mike's 'pedantic-errors.patch', and made a small change to the 1.0.0.13 ebuild file (both files included as attachments).  The resulting ebuild emerges fine with gcc 4.1.1.  Initial testing with workstation has so far been good.

I can't be sure that the warnings I've passed through with -Wno-attributes aren't needed by the scripts to indicate something important.  This would need a more trained eye.

As my version of this bug ony occurs with gcc 4.1.1 and the relatively old 2.6.15 kernel, it's probably of only minor interest.
Comment 31 Anthony Sowden 2006-09-15 08:03:58 UTC
Created attachment 97052 [details]
New ebuild fpr 1.0.0.13 vmware-modules
Comment 32 Anthony Sowden 2006-09-15 08:04:49 UTC
Created attachment 97053 [details]
Patch for new ebuild of 1.0.0.13 vmware-modules
Comment 33 Anthony Sowden 2006-09-15 08:06:42 UTC
Comment on attachment 97052 [details]
New ebuild fpr 1.0.0.13 vmware-modules

vmware-modules-1.0.0.13.ebuild
Comment 34 Mike Auty gentoo-dev 2006-09-17 02:47:21 UTC
Sorry about the slight delay Anthony.  This was an issue that was supposed to be fixed using the vmware-any-any patches, but apparently it wasn't.  5:(  I'll try and get the patches into the tree sometime this coming week...
Comment 35 Emil Ljungdahl 2006-09-28 23:50:11 UTC
Anthony, Mike: I tried Anthonys patch without success. The error was the same as before (same as #16). I tried to modify Anthonys patch with "-Wno-error" (I realize you probably can't put this into an ebuild). But it compiles, loads, and works alright! I will test with better flags if you can suggest some (I'm far from an gcc-expert).
My emerge --info:
Portage 2.1.1 (default-linux/amd64/2006.1/desktop, gcc-4.1.1, glibc-2.4-r3, 2.6.15-gentoo-r8 x86_64)
=================================================================
System uname: 2.6.15-gentoo-r8 x86_64 Intel(R) Core(TM)2 CPU         T7200  @ 2.00GHz
Gentoo Base System version 1.12.5
Last Sync: Tue, 26 Sep 2006 19:50:01 +0000
app-admin/eselect-compiler: [Not Present]
dev-java/java-config: 1.2.11-r1
dev-lang/python:     2.4.3-r1
dev-python/pycrypto: 2.0.1-r5
dev-util/ccache:     [Not Present]
dev-util/confcache:  [Not Present]
sys-apps/sandbox:    1.2.17
sys-devel/autoconf:  2.13, 2.59-r7
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2
sys-devel/binutils:  2.16.1-r3
sys-devel/gcc-config: 1.3.13-r3
sys-devel/libtool:   1.5.22
virtual/os-headers:  2.6.11-r2
ACCEPT_KEYWORDS="amd64"
AUTOCLEAN="yes"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=nocona -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/X11/xkb /usr/share/config"
CONFIG_PROTECT_MASK="/etc/env.d /etc/gconf /etc/revdep-rebuild /etc/terminfo /etc/texmf/web2c"
CXXFLAGS="-march=nocona -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoconfig distlocks metadata-transfer sandbox sfperms strict"
GENTOO_MIRRORS="ftp://ftp.du.se/pub/os/gentoo http://ds.thn.htu.se/linux/gentoo "
LINGUAS="en en_US en_GB sv_SE sv"
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --delete-after --stats --timeout=180 --exclude='/distfiles' --exclude='/local' --exclude='/packages'"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
USE="amd64 X acpi alsa arts avi bash-completion berkdb bitmap-fonts browserplugin cairo cdr cli crypt cups dbus dlloader dri dvd dvdr eds elibc_glibc emboss encode esd fam firefox fortran gdbm gif gnome gpm gstreamer gtk gtk2 hal input_devices_evdev input_devices_keyboard input_devices_mouse ipv6 isdnlog java jpeg kde kernel_linux ldap libg++ linguas_en linguas_en_GB linguas_en_US linguas_sv linguas_sv_SE mad mikmod mp3 mpeg ncurses nls nptl nptlonly nsplugin ogg opengl oss pam pcre pdflib perl png ppds pppd python qt3 qt4 quicktime readline reflection sdl session spell spl ssl synaptics tcpd truetype truetype-fonts type1-fonts udev unicode userland_GNU video_cards_nvidia vorbis xinerama xml xorg xv zlib"
Unset:  CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LANG, LC_ALL, LDFLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 36 Mike Auty gentoo-dev 2006-09-29 01:20:00 UTC
Emil, -Wno-error will not allow the tests to perform their correct function.  In general I think at least two of the tests are supposed to fail.  If you read comment 6, it should point you towards the steps needed to find the error that's causing your problem.  Once we know which one that is, we can try and turn it off.  In the past I've found -Wno-packed and -Wno-attribute to be the two necessary flags.  Anyway, please have a go at the debugging steps mention and report the compilation errors you're experiencing.  Thanks...  5:)
Comment 37 SpanKY gentoo-dev 2006-10-07 19:32:44 UTC
well vmmon-only/autoconf/epoll.c is obviously wrong:
void poll_test(void) {
    struct poll_wqueues test;
    return poll_initwait(&test);
}

autoconf/epoll.c:10: warning: 'return' with a value, in function returning void
Comment 38 Martin Smith 2006-10-24 18:34:22 UTC
Hi there... it happens to me too. Here's my output from emerge, followed by my emerge --info:

>>> Emerging (1 of 2) app-emulation/vmware-modules-1.0.0.13 to /
 * vmware-any-any-update104.tar.gz MD5 ;-) ...                                                     [ ok ] * vmware-any-any-update104.tar.gz RMD160 ;-) ...                                                  [ ok ] * vmware-any-any-update104.tar.gz SHA1 ;-) ...                                                    [ ok ] * vmware-any-any-update104.tar.gz SHA256 ;-) ...                                                  [ ok ] * vmware-any-any-update104.tar.gz size ;-) ...                                                    [ ok ] * checking ebuild checksums ;-) ...                                                               [ ok ] * checking auxfile checksums ;-) ...                                                              [ ok ] * checking miscfile checksums ;-) ...                                                             [ ok ] * checking vmware-any-any-update104.tar.gz ;-) ...                                                [ ok ] * Determining the location of the kernel source code
 * Found kernel source directory:
 *     /usr/src/linux
 * Found sources for kernel version:
 *     2.6.15-gentoo-r1
>>> Unpacking source...
>>> Unpacking vmware-any-any-update104.tar.gz to /var/tmp/portage/vmware-modules-1.0.0.13/work
>>> Unpacking ./vmware-any-any-update104/vmmon.tar to /var/tmp/portage/vmware-modules-1.0.0.13/work
 * Applying various patches (bugfixes/updates) ...
 *   000_all_makefile-include-directory.patch ...                                                  [ ok ] * Done with patching
 * Converting vmmon-only/Makefile to use M= instead of SUBDIRS= ...                                [ ok ]>>> Unpacking ./vmware-any-any-update104/vmnet.tar to /var/tmp/portage/vmware-modules-1.0.0.13/work
 * Applying various patches (bugfixes/updates) ...
 *   000_all_makefile-include-directory.patch ...                                                  [ ok ] * Done with patching
 * Converting vmnet-only/Makefile to use M= instead of SUBDIRS= ...                                [ ok ]>>> Source unpacked.
>>> Compiling source in /var/tmp/portage/vmware-modules-1.0.0.13/work ...
 * Preparing vmmon module
Using 2.6.x kernel build system.
make -C /usr/src/linux/include/.. M=$PWD SRCROOT=$PWD/. modules
make[1]: Entering directory `/usr/src/linux-2.6.15-gentoo-r1'
make[1]: warning: jobserver unavailable: using -j1.  Add `+' to parent make rule.
  CC [M]  /var/tmp/portage/vmware-modules-1.0.0.13/work/vmmon-only/linux/driver.o
In file included from include/asm/mpspec.h:5,
                 from include/asm/smp.h:18,
                 from include/linux/smp.h:19,
                 from include/linux/sched.h:26,
                 from include/linux/module.h:10,
                 from /var/tmp/portage/vmware-modules-1.0.0.13/work/vmmon-only/linux/driver.c:16:
include/asm/mpspec_def.h:78: warning: 'packed' attribute ignored for field of type 'unsigned char[5u]'
In file included from /var/tmp/portage/vmware-modules-1.0.0.13/work/vmmon-only/linux/driver.h:20,
                 from /var/tmp/portage/vmware-modules-1.0.0.13/work/vmmon-only/linux/driver.c:53:
/var/tmp/portage/vmware-modules-1.0.0.13/work/vmmon-only/./include/compat_wait.h:37:5: warning: "VMW_HAVE_EPOLL" is not defined
/var/tmp/portage/vmware-modules-1.0.0.13/work/vmmon-only/./include/compat_wait.h:43:5: warning: "VMW_HAVE_EPOLL" is not defined
In file included from /var/tmp/portage/vmware-modules-1.0.0.13/work/vmmon-only/linux/driver.h:20,
                 from /var/tmp/portage/vmware-modules-1.0.0.13/work/vmmon-only/linux/driver.c:53:
/var/tmp/portage/vmware-modules-1.0.0.13/work/vmmon-only/./include/compat_wait.h:60: error: conflicting types for 'poll_initwait'
include/linux/poll.h:45: error: previous declaration of 'poll_initwait' was here
/var/tmp/portage/vmware-modules-1.0.0.13/work/vmmon-only/linux/driver.c:160: warning: initialization from incompatible pointer type
/var/tmp/portage/vmware-modules-1.0.0.13/work/vmmon-only/linux/driver.c:164: warning: initialization from incompatible pointer type
make[3]: *** [/var/tmp/portage/vmware-modules-1.0.0.13/work/vmmon-only/linux/driver.o] Error 1
make[2]: *** [_module_/var/tmp/portage/vmware-modules-1.0.0.13/work/vmmon-only] Error 2
make[1]: *** [modules] Error 2
make[1]: Leaving directory `/usr/src/linux-2.6.15-gentoo-r1'
make: *** [vmmon.ko] Error 2

!!! ERROR: app-emulation/vmware-modules-1.0.0.13 failed.
Call stack:
  ebuild.sh, line 1546:   Called dyn_compile
  ebuild.sh, line 937:   Called src_compile
  ebuild.sh, line 1255:   Called linux-mod_src_compile
  linux-mod.eclass, line 482:   Called die

!!! Unable to make   auto-build VMWARE_VER=VME_V55 KERNEL_DIR=/usr/src/linux KBUILD_OUTPUT=/usr/src/linux.
!!! If you need support, post the topmost build error, and the call stack if relevant.
--- 
Portage 2.1.1 (default-linux/x86/2006.1, gcc-4.1.1, glibc-2.4-r3, 2.6.15-gentoo-r1 i686)
=================================================================
System uname: 2.6.15-gentoo-r1 i686 Intel(R) Pentium(R) D CPU 3.20GHz
Gentoo Base System version 1.12.5
Last Sync: Tue, 24 Oct 2006 22:20:01 +0000
app-admin/eselect-compiler: [Not Present]
dev-java/java-config: 1.3.7, 2.0.30
dev-lang/python:     2.4.3-r4
dev-python/pycrypto: 2.0.1-r5
dev-util/ccache:     [Not Present]
dev-util/confcache:  [Not Present]
sys-apps/sandbox:    1.2.17
sys-devel/autoconf:  2.13, 2.59-r7
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2
sys-devel/binutils:  2.16.1-r3
sys-devel/gcc-config: 1.3.13-r4
sys-devel/libtool:   1.5.22
virtual/os-headers:  2.6.17-r1
ACCEPT_KEYWORDS="x86"
AUTOCLEAN="yes"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -march=prescott -pipe"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/X11/xkb"
CONFIG_PROTECT_MASK="/etc/env.d /etc/env.d/java/ /etc/gconf /etc/java-config/vms/ /etc/revdep-rebuild /etc/terminfo"
CXXFLAGS="-O2 -march=prescott -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoconfig distlocks metadata-transfer sandbox sfperms strict"
GENTOO_MIRRORS="http://gentoo.osuosl.org/"
LINGUAS=""
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --delete-after --stats --timeout=180 --exclude='/distfiles' --exclude='/local' --exclude='/packages'"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
SYNC="rsync://rsync.namerica.gentoo.org/gentoo-portage"
USE="x86 X aac aalib acpi adns adsl afs aiglx aim alsa apache2 automount avahi bash-completion beagle berkdb binary-drivers bitmap-fonts bittorrent bl bonjour bonobo branding bzip2 cairo cdparanoia cdr cli cracklib crypt css cups dbus dlloader dri dvd dvdr dvdread elibc_glibc encode evo evolution exif ffmpeg firefox flac fortran ftp gaim gd gdbm gif gimp glitz glut gnome gnutls gphoto2 gpm graphviz gs gstreamer gtk gtk2 hal hddtemp howl icq imagemagick imap innodb input_devices_keyboard input_devices_mouse isdnlog jabber java javascript jpeg junit kernel_linux libg++ libnotify libsamplerate libsexy lm_sensors mad mime mono mp3 msn musepack musicbrainz nas ncurses nls nptl nptlonly nsplugin nvidia offensive ogg openal opengl oscar pam pcre pda pdf perl plotutils png portaudio posix ppds pppd python readline reflection samba sdl sensord session sharedmem sndfile spamassassin speex spell spl ssl subtitles subversion svg svga symlink szip tcpd tetex theora tiff truetype truetype-fonts type1-fonts udev unicode usb userland_GNU vcd video_cards_nv video_cards_nvidia video_cards_vesa vim-syntax vorbis win32codecs winbind wmp wxwindows xorg xpm xscreensaver xvid yahoo zip zlib"
Unset:  CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LANG, LC_ALL, LDFLAGS, PORTAGE_RSYNC_EXTRA_OPTS, PORTDIR_OVERLAY
Comment 39 SpanKY gentoo-dev 2006-12-16 17:50:57 UTC
the problem is that -Wall is forced after -Wno-unused ... so the vm build tests include a bunch of headers with unused C code, the compiler warns and then errors because of -Werror

simply forcing -Wno-unused at the end of the compile (so that you're sure it comes after any instance of -Wall) allows it to build nicely

ive added a trivial patch to portage and now i can emerge this package with 2.6.19.1